import { Injectable } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { IDefaultParams } from '../../domain/interfaces/default-params.type';

@Injectable()
export class DefaultParamsProvider {
  constructor(private readonly configService: ConfigService) {}

  getParams(): IDefaultParams {
    return {
      DEFAULT_IDENTIFIER: parseInt(
        this.configService.get('DEFAULT_IDENTIFIER'),
      ),
      MARGIN_DURATION: parseInt(this.configService.get('MARGIN_DURATION')),
      VALIDITY_DURATION: parseInt(this.configService.get('VALIDITY_DURATION')),
    };
  }
}
